<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Scene Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_scene.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_scene-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Scene Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the stage.  
 <a href="class_scene.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="scene_8hh_source.html">scene.hh</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Scene:</div>
<div class="dyncontent">
<div class="center"><img src="class_scene__coll__graph.png" border="0" usemap="#_scene_coll__map" alt="Collaboration graph"/></div>
<map name="_scene_coll__map" id="_scene_coll__map">
<area shape="rect" title="Models the concept of the stage." alt="" coords="482,527,543,553"/>
<area shape="rect" href="class_cuboid_obstacle.html" title="Models the concept of the cuboid obstacle." alt="" coords="5,336,129,363"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="412,222,475,249"/>
<area shape="rect" href="class_rod.html" title="Models the concept of the rod obstacle." alt="" coords="792,336,839,363"/>
<area shape="rect" href="class_cuboid.html" title="Models the concept of the cuboid." alt="" coords="410,336,477,363"/>
<area shape="rect" href="classwater_surface.html" title="Models the concept of the water surface." alt="" coords="308,387,416,413"/>
<area shape="rect" href="class_rectangle.html" title="Models the concept of the rectangle obstacle." alt="" coords="223,336,309,363"/>
<area shape="rect" href="classbottom_surface.html" title="Models the concept of the ground surface." alt="" coords="463,387,581,413"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="409,95,563,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="417,5,555,32"/>
<area shape="rect" href="class_drone.html" title="Models the concept of the drone." alt="" coords="482,437,543,464"/>
<area shape="rect" href="class_pz_g_1_1_gnuplot_link.html" title="Klasa realizuje interfejs do programu GNUPlot." alt="" coords="729,437,862,464"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad10176d75a9cc0da56626f682d083507"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a> ()</td></tr>
<tr class="memdesc:ad10176d75a9cc0da56626f682d083507"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_scene.html" title="Models the concept of the stage.">Scene</a> class.  <a href="class_scene.html#ad10176d75a9cc0da56626f682d083507">More...</a><br /></td></tr>
<tr class="separator:ad10176d75a9cc0da56626f682d083507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a631eef7493cafce5d74739a2cad12a58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a631eef7493cafce5d74739a2cad12a58">~Scene</a> ()=default</td></tr>
<tr class="memdesc:a631eef7493cafce5d74739a2cad12a58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_scene.html" title="Models the concept of the stage.">Scene</a> class.  <a href="class_scene.html#a631eef7493cafce5d74739a2cad12a58">More...</a><br /></td></tr>
<tr class="separator:a631eef7493cafce5d74739a2cad12a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a3d83da2246b9e98c9e04cef38e1778"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a> (double rotateAngle)</td></tr>
<tr class="memdesc:a0a3d83da2246b9e98c9e04cef38e1778"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implements rotation animation.  <a href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">More...</a><br /></td></tr>
<tr class="separator:a0a3d83da2246b9e98c9e04cef38e1778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45aadc8e5a63422972db07fd9b0e8b76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76">animation</a> (const double &amp;angleChange, const double &amp;distance)</td></tr>
<tr class="memdesc:a45aadc8e5a63422972db07fd9b0e8b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implements movement animation.  <a href="class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76">More...</a><br /></td></tr>
<tr class="separator:a45aadc8e5a63422972db07fd9b0e8b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a6a8e842f5988fa87c6880684d22a6c15"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15">displayObjectCount</a> ()</td></tr>
<tr class="memdesc:a6a8e842f5988fa87c6880684d22a6c15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the number of Vector3D objects.  <a href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15">More...</a><br /></td></tr>
<tr class="separator:a6a8e842f5988fa87c6880684d22a6c15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acfb2daa817152705b9433371daefd1e0"><td class="memTemplParams" colspan="2">template&lt;typename TDrone , typename TGround , typename TWater , typename TRod , typename TRectangle , typename TCuboid &gt; </td></tr>
<tr class="memitem:acfb2daa817152705b9433371daefd1e0"><td class="memTemplItemLeft" align="right" valign="top">std::vector&lt; std::shared_ptr&lt; <a class="el" href="class_shape.html">Shape</a> &gt; &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_scene.html#acfb2daa817152705b9433371daefd1e0">objectsOnScene</a> () const</td></tr>
<tr class="memdesc:acfb2daa817152705b9433371daefd1e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the vector container with pointers to individual elements of the scene.  <a href="class_scene.html#acfb2daa817152705b9433371daefd1e0">More...</a><br /></td></tr>
<tr class="separator:acfb2daa817152705b9433371daefd1e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a806fccf2f53e666749ea8abf76190c62"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a806fccf2f53e666749ea8abf76190c62">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover)</td></tr>
<tr class="memdesc:a806fccf2f53e666749ea8abf76190c62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check drone collision with objects on scene.  <a href="class_scene.html#a806fccf2f53e666749ea8abf76190c62">More...</a><br /></td></tr>
<tr class="separator:a806fccf2f53e666749ea8abf76190c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5df9e3639480f0b0e40dbde622a1c605"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">link_</a></td></tr>
<tr class="memdesc:a5df9e3639480f0b0e40dbde622a1c605"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable to connect to gnuplot.  <a href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">More...</a><br /></td></tr>
<tr class="separator:a5df9e3639480f0b0e40dbde622a1c605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e475efe2c4ec704290a3258675394a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_drone.html">Drone</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a39e475efe2c4ec704290a3258675394a">drone_</a></td></tr>
<tr class="memdesc:a39e475efe2c4ec704290a3258675394a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the drone.  <a href="class_scene.html#a39e475efe2c4ec704290a3258675394a">More...</a><br /></td></tr>
<tr class="separator:a39e475efe2c4ec704290a3258675394a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50c3c24ce0283a96822b5a759677852"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classbottom_surface.html">bottomSurface</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">bottom_surface_</a></td></tr>
<tr class="memdesc:ad50c3c24ce0283a96822b5a759677852"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the bottom surface.  <a href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">More...</a><br /></td></tr>
<tr class="separator:ad50c3c24ce0283a96822b5a759677852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2799c9a0b29a5790e7ac4010e11d3c6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classwater_surface.html">waterSurface</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">water_surface_</a></td></tr>
<tr class="memdesc:ac2799c9a0b29a5790e7ac4010e11d3c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the water surface.  <a href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">More...</a><br /></td></tr>
<tr class="separator:ac2799c9a0b29a5790e7ac4010e11d3c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a217f6f2ce1825c3c82a4eb97d21e713c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_rod.html">Rod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">rod_</a></td></tr>
<tr class="memdesc:a217f6f2ce1825c3c82a4eb97d21e713c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the rod obstacle.  <a href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">More...</a><br /></td></tr>
<tr class="separator:a217f6f2ce1825c3c82a4eb97d21e713c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9072e7a0ae61ecbc6f716cadcd696f57"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_rectangle.html">Rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">rectangle_</a></td></tr>
<tr class="memdesc:a9072e7a0ae61ecbc6f716cadcd696f57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the rectangle obstacle.  <a href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">More...</a><br /></td></tr>
<tr class="separator:a9072e7a0ae61ecbc6f716cadcd696f57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6f2aaa0d3722c75d0a522e4212c029"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">cuboid_obstacle_</a></td></tr>
<tr class="memdesc:a0f6f2aaa0d3722c75d0a522e4212c029"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the cuboid obstacle.  <a href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">More...</a><br /></td></tr>
<tr class="separator:a0f6f2aaa0d3722c75d0a522e4212c029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71f61950a5ed7990f437026fbba04dc7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">frames_</a> = 120</td></tr>
<tr class="memdesc:a71f61950a5ed7990f437026fbba04dc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of frames in the animation.  <a href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">More...</a><br /></td></tr>
<tr class="separator:a71f61950a5ed7990f437026fbba04dc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80825eec726058e071be4d627b1ee31"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_scene.html#ad80825eec726058e071be4d627b1ee31">frameFreeze_</a> = 16000</td></tr>
<tr class="memdesc:ad80825eec726058e071be4d627b1ee31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time between individual frames of animation.  <a href="class_scene.html#ad80825eec726058e071be4d627b1ee31">More...</a><br /></td></tr>
<tr class="separator:ad80825eec726058e071be4d627b1ee31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00017">17</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad10176d75a9cc0da56626f682d083507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad10176d75a9cc0da56626f682d083507">&#9670;&nbsp;</a></span>Scene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Scene::Scene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_scene.html" title="Models the concept of the stage.">Scene</a> object. Initialize link with gnuplot and add files which will be drawn. </p>

<p class="definition">Definition at line <a class="el" href="scene_8cpp_source.html#l00010">10</a> of file <a class="el" href="scene_8cpp_source.html">scene.cpp</a>.</p>

</div>
</div>
<a id="a631eef7493cafce5d74739a2cad12a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a631eef7493cafce5d74739a2cad12a58">&#9670;&nbsp;</a></span>~Scene()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Scene::~Scene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a45aadc8e5a63422972db07fd9b0e8b76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45aadc8e5a63422972db07fd9b0e8b76">&#9670;&nbsp;</a></span>animation() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Scene::animation </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Overloading of the animation function for the movement of the drone. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- rise or fall angle, </td></tr>
    <tr><td class="paramname">distance</td><td>- the distance the drone should move. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="scene_8cpp_source.html#l00066">66</a> of file <a class="el" href="scene_8cpp_source.html">scene.cpp</a>.</p>

</div>
</div>
<a id="a0a3d83da2246b9e98c9e04cef38e1778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a3d83da2246b9e98c9e04cef38e1778">&#9670;&nbsp;</a></span>animation() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Scene::animation </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>rotateAngle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Overloading of the animation function for the rotation of the drone in the OZ axis. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rotateAngle</td><td>- rotation angle. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="scene_8cpp_source.html#l00057">57</a> of file <a class="el" href="scene_8cpp_source.html">scene.cpp</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph.png" border="0" usemap="#class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph" alt=""/></div>
<map name="class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph" id="class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph">
<area shape="rect" title="Implements rotation animation." alt="" coords="108,5,243,32"/>
<area shape="rect" href="main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a806fccf2f53e666749ea8abf76190c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a806fccf2f53e666749ea8abf76190c62">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Scene::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Check drone collision with ground, water and obstacles. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p class="definition">Definition at line <a class="el" href="scene_8cpp_source.html#l00043">43</a> of file <a class="el" href="scene_8cpp_source.html">scene.cpp</a>.</p>

</div>
</div>
<a id="a6a8e842f5988fa87c6880684d22a6c15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a8e842f5988fa87c6880684d22a6c15">&#9670;&nbsp;</a></span>displayObjectCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Scene::displayObjectCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Displays the total and current number of Vector3D objects </p>

<p class="definition">Definition at line <a class="el" href="scene_8cpp_source.html#l00078">78</a> of file <a class="el" href="scene_8cpp_source.html">scene.cpp</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_scene_a6a8e842f5988fa87c6880684d22a6c15_icgraph.png" border="0" usemap="#class_scene_a6a8e842f5988fa87c6880684d22a6c15_icgraph" alt=""/></div>
<map name="class_scene_a6a8e842f5988fa87c6880684d22a6c15_icgraph" id="class_scene_a6a8e842f5988fa87c6880684d22a6c15_icgraph">
<area shape="rect" title="Displays the number of Vector3D objects." alt="" coords="108,5,304,32"/>
<area shape="rect" href="main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="acfb2daa817152705b9433371daefd1e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb2daa817152705b9433371daefd1e0">&#9670;&nbsp;</a></span>objectsOnScene()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename TDrone , typename TGround , typename TWater , typename TRod , typename TRectangle , typename TCuboid &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::shared_ptr&lt; <a class="el" href="class_shape.html">Shape</a> &gt; &gt; Scene::objectsOnScene</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">TDrone</td><td>- <a class="el" href="class_drone.html" title="Models the concept of the drone.">Drone</a> class, </td></tr>
    <tr><td class="paramname">TGround</td><td>- <a class="el" href="classbottom_surface.html" title="Models the concept of the ground surface.">bottomSurface</a> class, </td></tr>
    <tr><td class="paramname">TWater</td><td>- <a class="el" href="classwater_surface.html" title="Models the concept of the water surface.">waterSurface</a> class, </td></tr>
    <tr><td class="paramname">TRod</td><td>- <a class="el" href="class_rod.html" title="Models the concept of the rod obstacle.">Rod</a> class, </td></tr>
    <tr><td class="paramname">TRectangle</td><td>- <a class="el" href="class_rectangle.html" title="Models the concept of the rectangle obstacle.">Rectangle</a> class, </td></tr>
    <tr><td class="paramname">TCuboid</td><td>- <a class="el" href="class_cuboid_obstacle.html" title="Models the concept of the cuboid obstacle.">CuboidObstacle</a> class. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector of pointers on individual elements of the scene. </dd></dl>

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00126">126</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad50c3c24ce0283a96822b5a759677852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50c3c24ce0283a96822b5a759677852">&#9670;&nbsp;</a></span>bottom_surface_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classbottom_surface.html">bottomSurface</a> Scene::bottom_surface_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00031">31</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a0f6f2aaa0d3722c75d0a522e4212c029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f6f2aaa0d3722c75d0a522e4212c029">&#9670;&nbsp;</a></span>cuboid_obstacle_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_cuboid_obstacle.html">CuboidObstacle</a> Scene::cuboid_obstacle_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00051">51</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a39e475efe2c4ec704290a3258675394a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39e475efe2c4ec704290a3258675394a">&#9670;&nbsp;</a></span>drone_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_drone.html">Drone</a> Scene::drone_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00026">26</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="ad80825eec726058e071be4d627b1ee31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad80825eec726058e071be4d627b1ee31">&#9670;&nbsp;</a></span>frameFreeze_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Scene::frameFreeze_ = 16000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00061">61</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a71f61950a5ed7990f437026fbba04dc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71f61950a5ed7990f437026fbba04dc7">&#9670;&nbsp;</a></span>frames_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Scene::frames_ = 120</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00056">56</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a5df9e3639480f0b0e40dbde622a1c605"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df9e3639480f0b0e40dbde622a1c605">&#9670;&nbsp;</a></span>link_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a> Scene::link_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00021">21</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a9072e7a0ae61ecbc6f716cadcd696f57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9072e7a0ae61ecbc6f716cadcd696f57">&#9670;&nbsp;</a></span>rectangle_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_rectangle.html">Rectangle</a> Scene::rectangle_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00046">46</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a217f6f2ce1825c3c82a4eb97d21e713c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a217f6f2ce1825c3c82a4eb97d21e713c">&#9670;&nbsp;</a></span>rod_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_rod.html">Rod</a> Scene::rod_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00041">41</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="ac2799c9a0b29a5790e7ac4010e11d3c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2799c9a0b29a5790e7ac4010e11d3c6">&#9670;&nbsp;</a></span>water_surface_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classwater_surface.html">waterSurface</a> Scene::water_surface_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scene_8hh_source.html#l00036">36</a> of file <a class="el" href="scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="scene_8hh_source.html">scene.hh</a></li>
<li><a class="el" href="scene_8cpp_source.html">scene.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_scene.html">Scene</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
